org.jboss.jca.as.converters

## Class DatasourcesImpl

- java.lang.Object
- - org.jboss.jca.as.converters.DatasourcesImpl

- All Implemented Interfaces:
    DataSources

      public class DatasourcesImpl
      extends java.lang.Object
      implements DataSources

  A XaDataSource impl.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.DataSources

      `DataSources.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatasourcesImpl(java.util.List<NoTxDataSource> noTxDatasource, java.util.List<LocalTxDataSource> localTxDatasource, java.util.List<XaDataSource> xaDataSource)` DatasourcesImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<LocalTxDataSource>` | `getLocalTxDataSource()` Get the local tx datasource.
    `java.util.List<NoTxDataSource>` | `getNoTxDataSource()` Get the No Tx datasource.
    `java.util.List<XaDataSource>` | `getXaDataSource()` Get the xaDataSource.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatasourcesImpl

          public DatasourcesImpl(java.util.List<NoTxDataSource> noTxDatasource,
                                 java.util.List<LocalTxDataSource> localTxDatasource,
                                 java.util.List<XaDataSource> xaDataSource)

      DatasourcesImpl
      Parameters:
        `noTxDatasource` - list of NoTxDatasource
        `localTxDatasource` - list of LocalTxDataSource
        `xaDataSource` - list of XaDataSource

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getLocalTxDataSource

          public java.util.List<LocalTxDataSource> getLocalTxDataSource()

      Description copied from interface: `DataSources`
      Get the local tx datasource.
      Specified by:
        `getLocalTxDataSource` in interface `DataSources`
      Returns:
        the local tx datasource.

    - #### getNoTxDataSource

          public java.util.List<NoTxDataSource> getNoTxDataSource()

      Description copied from interface: `DataSources`
      Get the No Tx datasource.
      Specified by:
        `getNoTxDataSource` in interface `DataSources`
      Returns:
        the NoTx datasource.

    - #### getXaDataSource

          public java.util.List<XaDataSource> getXaDataSource()

      Description copied from interface: `DataSources`
      Get the xaDataSource.
      Specified by:
        `getXaDataSource` in interface `DataSources`
      Returns:
        the xaDataSource.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)